<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 29/4/2018
 * Time: 11:33 PM
 */

include '../comun/validarSesion.php';
if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    if ($Valido->checkToken($_REQUEST['token'])){
                if (isset($_REQUEST['nombre']) && isset($_REQUEST['cantidadDirectivos']) && isset($_REQUEST['inquilinosPorPropiedad']) && isset($_REQUEST['cantidadPropiedades']) && isset($_REQUEST['pais']) && isset($_REQUEST['ciudad']) && isset($_REQUEST['calle']) && isset($_REQUEST['numero_exterior']) && isset($_REQUEST['codigo_postal']) && isset($_REQUEST['telefono'])) {
                    $validar  = R::findOne( 'condominio', ' nombre = ? ', [ $_REQUEST['nombre'] ] );
                    if (is_null($validar)==TRUE){
                        $condominio = R::dispense('condominio');
                        $condominio->nombre = $_REQUEST['nombre'];
                        $condominio->cantidadPropiedades = $_REQUEST['cantidadPropiedades'];
                        $condominio->inquilinosPorPropiedad = $_REQUEST['inquilinosPorPropiedad'];
                        $condominio->cantidadDirectivos = $_REQUEST['cantidadDirectivos'];
                        $condominio->pais = $_REQUEST['pais'];
                        $condominio->ciudad = $_REQUEST['ciudad'];
                        $condominio->calle = $_REQUEST['calle'];
                        $condominio->numero_exterior = $_REQUEST['numero_exterior'];
                        $condominio->codigo_postal = $_REQUEST['codigo_postal'];
                        $condominio->telefono = $_REQUEST['telefono'];
                        $condominio->fechaRegistro = date('Y-m-d H:i:s');
                        $condominio->fechaModificacion = date('Y-m-d H:i:s');
                        $condominio->fotoPerfil = "https://k38.kn3.net/taringa/6/8/7/7/7/3/1/agushhhhh/F4E.jpg";
                        $condominio->estado = 1;
                        $id = R::store($condominio);
                        include '../comun/mensajeCreado.php';
                    }else{
                        include '../comun/mensajeYaExiste.php';
                    }
        }else{
            include '../comun/mensajeFaltanCampos.php';
        }
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}